const response = await fetch(
'https://service.pcibooking.net/api/credentials/paymentGateway/Stripe',
{
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://service.pcibooking.net/api/credentials/paymentGateway/Stripe',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.json())
[
"MerchantId",
"ApiKey",
"SharedSecret"
]
{
"code": -125,
"message": "Bad input data",
"moreInfo": "...",
"errorList": null
}
Gateway Credentials
Retrieve Payment Gateway Credential Structure
Retrieve the credential structure for a specific payment gateway.
GET
/
api
/
credentials
/
paymentGateway
/
{name}
const response = await fetch(
'https://service.pcibooking.net/api/credentials/paymentGateway/Stripe',
{
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://service.pcibooking.net/api/credentials/paymentGateway/Stripe',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.json())
[
"MerchantId",
"ApiKey",
"SharedSecret"
]
{
"code": -125,
"message": "Bad input data",
"moreInfo": "...",
"errorList": null
}
Gateway Credentials Guide
Store and manage payment gateway credentials
Error Responses
| Code | HTTP Status | Condition |
|---|---|---|
-160 | 404 | The specified payment gateway name is not valid or not supported. |
Parameters
Headers
string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. See the Authentication guide.Path Parameters
string
required
The name of the payment gateway. See the full list using the Get Payment Gateways method.
const response = await fetch(
'https://service.pcibooking.net/api/credentials/paymentGateway/Stripe',
{
headers: {
'Authorization': 'APIKEY your-api-key'
}
}
);
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://service.pcibooking.net/api/credentials/paymentGateway/Stripe',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.json())
Response
[
"MerchantId",
"ApiKey",
"SharedSecret"
]
{
"code": -125,
"message": "Bad input data",
"moreInfo": "...",
"errorList": null
}

